/* OTHER SETTINGS */
.table th {
	text-transform:capitalize
}

.jcalculator_wrap {
	width: 100%;
}
.jcalculator {
	background: #232323;
	width: 201px;
	position: absolute;
	top: 38px;
	/*left: 20px;*/
	left: 0;
	z-index: 2;
}
.jcalculator span {
	text-align: center;
}

/* BarCode Reader */
#interactive.viewport {
	position: relative;
	width: 100%;
	height: auto;
	overflow: hidden;
	text-align: center;
}
#interactive.viewport > canvas, #interactive.viewport > video {
	max-width: 100%;
	width: 100%;
}

canvas.drawing, canvas.drawingBuffer {
	position: absolute;
	left: 0;
	top: 0;
}

.pac-container {
	z-index: 1050 !important;
}

.calculator-trigger {
	display: none;
}
.calculator-popup {
	z-index: 1050;
}
.calculator-row button.calculator-addTAX {
    background-color: #dc3545;
    width: 60px;
}
.calculator-row button.calculator-lessTAX {
    background-color: #28a745;
    width: 60px;
}
.calculator-ctrl{
    width: 48% !important;
}


/*******************************
* https://bootstrapfriendly.com/demo/live-demo/Animating-bootstrap-4-modal-from-left-or-right_1605978689/
*******************************/
/*left right modal*/
.modal.left_modal, .modal.right_modal{
  position: fixed;
  z-index: 99999;
}
.modal.left_modal .modal-dialog,
.modal.right_modal .modal-dialog {
  position: fixed;
  margin: auto;
}

.modal.left_modal .modal-content,
.modal.right_modal .modal-content {
    height: 100vh !important;
}

.modal.left_modal .modal-body,
.modal.right_modal .modal-body {
  padding: 15px 15px 30px;
}

/*Right*/
.modal.right_modal.fade .modal-dialog {
  right: -50%;
  -webkit-transition: opacity 0.3s linear, right 0.3s ease-out;
     -moz-transition: opacity 0.3s linear, right 0.3s ease-out;
       -o-transition: opacity 0.3s linear, right 0.3s ease-out;
          transition: opacity 0.3s linear, right 0.3s ease-out;
}

.modal.right_modal.fade.show .modal-dialog {
  right: 0;
}

.modal_outer .modal-body {
    overflow-y: auto;
    overflow-x: hidden;
    height: 91vh;
}